/**
  *  \file gfx/blit.h
  *  \brief Stretch / Shear / Rotate Blit
  *
  *  (c) 2001-2010 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_GFX_BLIT_H
#define PCC_V2_GFX_BLIT_H

#include "gfx/gfx.h"

void doStretchRotateBlit(GfxCanvas& src, GfxCanvas& target,
                         GfxRect src_clip, GfxRect target_clip,
                         int x, int y, int x1, int y1, int x2, int y2);

GfxRect computeStretchRotateBBox(int x1, int y1, int x2, int y2);

#endif
